[
{
    blockid=plugin;
    help=service_smtp_plugin_plugin;
    custom=com.netscape.management.msgserv.StorePluginControl;
    localvar={
	    .headers="\u6761\u76ee";
	    .headers.text="\u8def\u5f84";
	    .headers="\u9009\u9879";
    },
    content=[
	{
	    ctrl=label;
	    text="\u63d2\u4ef6\u914d\u7f6e";
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=pluginTable;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    columns=$.headers;
	    columns=[
		{
		    header="\u6d3b\u52a8";
		    editor=boolean;
		    renderer=boolean;
		    width=60;
		},
		{
		    header="\u8def\u5f84";
		    width=300;
		}
	    ]
	}
    ]
},
{
    blockid=addDialog;
    help=service_smtp_plugin_addDialog;
    localvar={
	    .entry.text="\u6761\u76ee:";
	    .path.text="\u8def\u5f84:";
	    .path.hint="\u8def\u5f84:";
	    .funcs.text="\u529f\u80fd:";
	    .funcs.hint="\u529f\u80fd:";
	    .init.text="\u521d\u59cb\u5316\uff1a";
	    .init.hint="\u521d\u59cb\u5316\uff1a";
	    .option.text="\u9009\u9879:";
	    .entry.labels=[PostSmtpAccept,PreSmtpDeliver];
	    .title.edit="\u63d2\u4ef6\u6761\u76ee";
	    .title.add="\u63d2\u4ef6\u6761\u76ee";
    },
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=entrylabel;
		    text=$.entry.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    aligny=0.5;
		    id=entryoption;
		    labels=$.entry.labels;
		    items=$.entry.labels;
		    val=$entry;
		    label=entrychoice;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$path;
		    label=pathlabel;
		    focus = true;
            validate=[com.netscape.management.msgserv.util.ValidAbsolutePath,false];
            errhint=$.path.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=funcslabel;
		    text=$.funcs.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$funcs;
		    label=funcslabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.funcs.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=initlabel;
		    text=$.init.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$init;
		    label=initlabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.init.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
        ctrl=pane;
        content=[
	    {
		    ctrl=label;
		    aligny=0.5;
		    id=optionlabel;
		    text=$.option.text;
            wrap=$g.label.size0;
	    },
	    {
		    ctrl=rigid;
	    },
	    {
		    ctrl=text;
		    aligny=0.5;
		    val=$option;
		    label=optionlabel;
	    }
	    ]
    },
  	{
 	    ctrl=label;
   	    wrap=$g.label.size4;
   	}
    ]
}
]
